Bug 66848 - need build_ada = 0 for non-intel
need build_ada = 0 for non-intel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-06-17 14:39 EDT by Guy Streeter
Modified: 2016-02-09 20:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-24 10:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2002-06-17 14:39:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The gcc spec file needs an
#else
#define build_ada 0
so it doesn't get a parse error on non-Intel archs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -bb
2.
3.
	

Actual Results:  error: parse error in expression
error: /usr/src/build/110156-ppc/SPECS/gcc31.spec:237: parseExpressionBoolean
returns -1


Expected Results:  build gcc

Additional info:

You can't use an undefined symbol in a conditional.
Comment 1 Jakub Jelinek 2002-07-03 14:58:19 EDT
This should be fixed in gcc-3.1-7.

Note You need to log in before you can comment on or make changes to this bug.